Index: /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 7279)
+++ /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 7280)
@@ -13,4 +13,5 @@
    !!             -   ! 2012-10  (C. Rousset)  add lim_diahsb
    !!            3.6  ! 2014-07  (M. Vancoppenolle, G. Madec, O. Marti) revise coupled interface
+   !!            4.0  ! 2016-06  (L. Brodeau) new unified bulk routine (based on AeroBulk)
    !!----------------------------------------------------------------------
 #if defined key_lim3
@@ -28,6 +29,5 @@
    USE sbc_oce         ! Surface boundary condition: ocean fields
    USE sbc_ice         ! Surface boundary condition: ice   fields
-   USE sbcblk_core     ! Surface boundary condition: CORE bulk
-   USE sbcblk_clio     ! Surface boundary condition: CLIO bulk
+   USE sbcblk          ! Surface boundary condition: bulk
    USE sbccpl          ! Surface boundary condition: coupled interface
    USE albedo          ! ocean & ice albedo
@@ -47,5 +47,5 @@
    USE limupdate2      ! update of global variables
    USE limvar          ! Ice variables switch
-   USE limctl          ! 
+   USE limctl          !
    USE limmsh          ! LIM mesh
    USE limistate       ! LIM initial state
@@ -56,5 +56,5 @@
    USE iom             ! I/O manager library
    USE prtctl          ! Print control
-   USE lib_fortran     ! 
+   USE lib_fortran     !
    USE lbclnk          ! lateral boundary condition - MPP link
    USE lib_mpp         ! MPP library
@@ -62,5 +62,5 @@
    USE timing          ! Timing
 
-#if defined key_bdy 
+#if defined key_bdy
    USE bdyice_lim       ! unstructured open boundary data  (bdy_ice_lim routine)
 #endif
@@ -71,5 +71,5 @@
    PUBLIC sbc_ice_lim  ! routine called by sbcmod.F90
    PUBLIC sbc_lim_init ! routine called by sbcmod.F90
-   
+
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
@@ -84,27 +84,27 @@
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE sbc_ice_lim  ***
-      !!                   
-      !! ** Purpose :   update the ocean surface boundary condition via the 
-      !!                Louvain la Neuve Sea Ice Model time stepping 
+      !!
+      !! ** Purpose :   update the ocean surface boundary condition via the
+      !!                Louvain la Neuve Sea Ice Model time stepping
       !!
       !! ** Method  :   ice model time stepping
-      !!              - call the ice dynamics routine 
-      !!              - call the ice advection/diffusion routine 
-      !!              - call the ice thermodynamics routine 
-      !!              - call the routine that computes mass and 
+      !!              - call the ice dynamics routine
+      !!              - call the ice advection/diffusion routine
+      !!              - call the ice thermodynamics routine
+      !!              - call the routine that computes mass and
       !!                heat fluxes at the ice/ocean interface
-      !!              - save the outputs 
+      !!              - save the outputs
       !!              - save the outputs for restart when necessary
       !!
       !! ** Action  : - time evolution of the LIM sea-ice model
       !!              - update all sbc variables below sea-ice:
-      !!                utau, vtau, taum, wndm, qns , qsr, emp , sfx 
+      !!                utau, vtau, taum, wndm, qns , qsr, emp , sfx
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt      ! ocean time step
-      INTEGER, INTENT(in) ::   kblk    ! type of bulk (=3 CLIO, =4 CORE, =5 COUPLED)
+      INTEGER, INTENT(in) ::   kblk    ! type of bulk (=4 BULK, =5 COUPLED)
       !!
       INTEGER  ::    jl                 ! dummy loop index
       REAL(wp), POINTER, DIMENSION(:,:,:)   ::   zalb_os, zalb_cs  ! ice albedo under overcast/clear sky
-      REAL(wp), POINTER, DIMENSION(:,:  )   ::   zutau_ice, zvtau_ice 
+      REAL(wp), POINTER, DIMENSION(:,:  )   ::   zutau_ice, zvtau_ice
       !!----------------------------------------------------------------------
 
@@ -119,16 +119,16 @@
          u_oce(:,:) = ssu_m(:,:) * umask(:,:,1)
          v_oce(:,:) = ssv_m(:,:) * vmask(:,:,1)
-         
+
          ! masked sea surface freezing temperature [Kelvin] (set to rt0 over land)
          CALL eos_fzp( sss_m(:,:) , t_bo(:,:) )
          t_bo(:,:) = ( t_bo(:,:) + rt0 ) * tmask(:,:,1) + rt0 * ( 1._wp - tmask(:,:,1) )
-          
+
          ! Mask sea ice surface temperature (set to rt0 over land)
          DO jl = 1, jpl
             t_su(:,:,jl) = t_su(:,:,jl) * tmask(:,:,1) + rt0 * ( 1._wp - tmask(:,:,1) )
-         END DO     
-         !
-         !------------------------------------------------!                                           
-         ! --- Dynamical coupling with the atmosphere --- !                                           
+         END DO
+         !
+         !------------------------------------------------!
+         ! --- Dynamical coupling with the atmosphere --- !
          !------------------------------------------------!
          ! It provides the following fields:
@@ -136,9 +136,8 @@
          !-----------------------------------------------------------------
          SELECT CASE( kblk )
-         CASE( jp_clio    )   ;   CALL blk_ice_clio_tau                         ! CLIO bulk formulation            
-         CASE( jp_core    )   ;   CALL blk_ice_core_tau                         ! CORE bulk formulation
+         CASE( jp_blk     )   ;   CALL blk_ice_tau                              ! Bulk formulation
          CASE( jp_purecpl )   ;   CALL sbc_cpl_ice_tau( utau_ice , vtau_ice )   ! Coupled   formulation
          END SELECT
-         
+
          IF( ln_mixcpl) THEN   ! Case of a mixed Bulk/Coupled formulation
             CALL wrk_alloc( jpi,jpj    , zutau_ice, zvtau_ice)
@@ -153,5 +152,5 @@
          !-------------------------------------------------------!
          numit = numit + nn_fsbc                  ! Ice model time step
-         !                                                   
+         !
          CALL sbc_lim_bef                         ! Store previous ice values
          CALL sbc_lim_diag0                       ! set diag of mass, heat and salt fluxes to 0
@@ -160,5 +159,5 @@
          IF( .NOT. lk_c1d ) THEN
             !
-            CALL lim_dyn( kt )                    ! Ice dynamics    ( rheology/dynamics )   
+            CALL lim_dyn( kt )                    ! Ice dynamics    ( rheology/dynamics )
             !
             CALL lim_trp( kt )                    ! Ice transport   ( Advection/diffusion )
@@ -167,5 +166,5 @@
             !
 #if defined key_bdy
-            CALL bdy_ice_lim( kt )                ! bdy ice thermo 
+            CALL bdy_ice_lim( kt )                ! bdy ice thermo
             IF( ln_icectl )       CALL lim_prt( kt, iiceprt, jiceprt, 1, ' - ice thermo bdy - ' )
 #endif
@@ -174,14 +173,14 @@
             !
          ENDIF
-         
+
          ! previous lead fraction and ice volume for flux calculations
-         CALL sbc_lim_bef                        
+         CALL sbc_lim_bef
          CALL lim_var_glo2eqv                     ! ht_i and ht_s for ice albedo calculation
-         CALL lim_var_agg(1)                      ! at_i for coupling (via pfrld) 
+         CALL lim_var_agg(1)                      ! at_i for coupling (via pfrld)
          pfrld(:,:)   = 1._wp - at_i(:,:)
          phicif(:,:)  = vt_i(:,:)
-         
-         !------------------------------------------------------!                                           
-         ! --- Thermodynamical coupling with the atmosphere --- !                                           
+
+         !------------------------------------------------------!
+         ! --- Thermodynamical coupling with the atmosphere --- !
          !------------------------------------------------------!
          ! It provides the following fields:
@@ -196,14 +195,8 @@
 
          SELECT CASE( kblk )
-         CASE( jp_clio )                                       ! CLIO bulk formulation
-            ! In CLIO the cloud fraction is read in the climatology and the all-sky albedo 
-            ! (alb_ice) is computed within the bulk routine
-                                 CALL blk_ice_clio_flx( t_su, zalb_cs, zalb_os, alb_ice )
-            IF( ln_mixcpl      ) CALL sbc_cpl_ice_flx( p_frld=pfrld, palbi=alb_ice, psst=sst_m, pist=t_su )
-            IF( nn_limflx /= 2 ) CALL ice_lim_flx( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_limflx )
-         CASE( jp_core )                                       ! CORE bulk formulation
+         CASE( jp_blk )                                       ! bulk formulation
             ! albedo depends on cloud fraction because of non-linear spectral effects
             alb_ice(:,:,:) = ( 1. - cldf_ice ) * zalb_cs(:,:,:) + cldf_ice * zalb_os(:,:,:)
-                                 CALL blk_ice_core_flx( t_su, alb_ice )
+                                 CALL blk_ice_flx( t_su, alb_ice )
             IF( ln_mixcpl      ) CALL sbc_cpl_ice_flx( p_frld=pfrld, palbi=alb_ice, psst=sst_m, pist=t_su )
             IF( nn_limflx /= 2 ) CALL ice_lim_flx( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_limflx )
@@ -219,5 +212,5 @@
          ! --- ice thermodynamics --- !
          !----------------------------!
-         CALL lim_thd( kt )                         ! Ice thermodynamics      
+         CALL lim_thd( kt )                         ! Ice thermodynamics
          !
          CALL lim_update2( kt )                     ! Corrections
@@ -225,12 +218,12 @@
          CALL lim_sbc_flx( kt )                     ! Update surface ocean mass, heat and salt fluxes
          !
-         IF(ln_limdiaout) CALL lim_diahsb           ! Diagnostics and outputs 
-         !
-         CALL lim_wri( 1 )                          ! Ice outputs 
+         IF(ln_limdiaout) CALL lim_diahsb           ! Diagnostics and outputs
+         !
+         CALL lim_wri( 1 )                          ! Ice outputs
          !
          IF( kt == nit000 .AND. ln_rstart )   &
             &             CALL iom_close( numrir )  ! close input ice restart file
          !
-         IF( lrst_ice )   CALL lim_rst_write( kt )  ! Ice restart file 
+         IF( lrst_ice )   CALL lim_rst_write( kt )  ! Ice restart file
          !
          IF( ln_icectl )  CALL lim_ctl( kt )        ! alerts in case of model crash
@@ -248,5 +241,5 @@
       !
    END SUBROUTINE sbc_ice_lim
-   
+
 
    SUBROUTINE sbc_lim_init
@@ -259,13 +252,13 @@
       !!----------------------------------------------------------------------
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'sbc_ice_lim : update ocean surface boudary condition' 
+      IF(lwp) WRITE(numout,*) 'sbc_ice_lim : update ocean surface boudary condition'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   via Louvain la Neuve Ice Model (LIM-3) time stepping'
       !
-      !                                ! Open the reference and configuration namelist files and namelist output file 
-      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      !                                ! Open the reference and configuration namelist files and namelist output file
+      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       IF(lwm) CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
       !
-      CALL ice_run                     ! set some ice run parameters
+      CALL lim_run_init                ! set some ice run parameters
       !
       !                                ! Allocate the ice arrays
@@ -308,5 +301,5 @@
       CALL lim_var_glo2eqv
       !
-      CALL lim_sbc_init                 ! ice surface boundary condition   
+      CALL lim_sbc_init                 ! ice surface boundary condition
       !
       fr_i(:,:)     = at_i(:,:)         ! initialisation of sea-ice fraction
@@ -318,10 +311,10 @@
             ELSE                             ;  rn_amax_2d(ji,jj) = rn_amax_s  ! SH
             ENDIF
-        ENDDO
-      ENDDO 
-      !
-      nstart = numit  + nn_fsbc      
-      nitrun = nitend - nit000 + 1 
-      nlast  = numit  + nitrun 
+         END DO
+      END DO
+      !
+      nstart = numit  + nn_fsbc
+      nitrun = nitend - nit000 + 1
+      nlast  = numit  + nitrun
       !
       IF( nstock == 0 )   nstock = nlast + 1
@@ -330,11 +323,11 @@
 
 
-   SUBROUTINE ice_run
+   SUBROUTINE lim_run_init
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_run ***
-      !!                 
+      !!                  ***  ROUTINE lim_run_init ***
+      !!
       !! ** Purpose :   Definition some run parameter for ice model
       !!
-      !! ** Method  :   Read the namicerun namelist and check the parameter 
+      !! ** Method  :   Read the namicerun namelist and check the parameter
       !!              values called at the first timestep (nit000)
       !!
@@ -343,7 +336,7 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicerun/ jpl, nlay_i, nlay_s, cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir,  &
-         &                ln_limdyn, rn_amax_n, rn_amax_s, ln_limdiahsb, ln_limdiaout, ln_icectl, iiceprt, jiceprt  
+         &                ln_limdyn, rn_amax_n, rn_amax_s, ln_limdiahsb, ln_limdiaout, ln_icectl, iiceprt, jiceprt
       !!-------------------------------------------------------------------
-      !                    
+      !
       REWIND( numnam_ice_ref )              ! Namelist namicerun in reference namelist : Parameters for ice
       READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
@@ -357,22 +350,23 @@
       IF(lwp) THEN                        ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_run : ice share parameters for dynamics/advection/thermo of sea-ice'
-         WRITE(numout,*) ' ~~~~~~'
-         WRITE(numout,*) '   number of ice  categories                               = ', jpl
-         WRITE(numout,*) '   number of ice  layers                                   = ', nlay_i
-         WRITE(numout,*) '   number of snow layers                                   = ', nlay_s
-         WRITE(numout,*) '   switch for ice dynamics (1) or not (0)      ln_limdyn   = ', ln_limdyn
-         WRITE(numout,*) '   maximum ice concentration for NH                        = ', rn_amax_n 
-         WRITE(numout,*) '   maximum ice concentration for SH                        = ', rn_amax_s
-         WRITE(numout,*) '   Diagnose heat/salt budget or not          ln_limdiahsb  = ', ln_limdiahsb
-         WRITE(numout,*) '   Output   heat/salt budget or not          ln_limdiaout  = ', ln_limdiaout
-         WRITE(numout,*) '   control prints in ocean.out for (i,j)=(iiceprt,jiceprt) = ', ln_icectl
-         WRITE(numout,*) '   i-index for control prints (ln_icectl=true)             = ', iiceprt
-         WRITE(numout,*) '   j-index for control prints (ln_icectl=true)             = ', jiceprt
+         WRITE(numout,*) 'lim_run_init : ice share parameters for dynamics/advection/thermo of sea-ice'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namicerun'
+         WRITE(numout,*) '      number of ice  categories                               = ', jpl
+         WRITE(numout,*) '      number of ice  layers                                   = ', nlay_i
+         WRITE(numout,*) '      number of snow layers                                   = ', nlay_s
+         WRITE(numout,*) '      switch for ice dynamics (1) or not (0)      ln_limdyn   = ', ln_limdyn
+         WRITE(numout,*) '      maximum ice concentration for NH                        = ', rn_amax_n
+         WRITE(numout,*) '      maximum ice concentration for SH                        = ', rn_amax_s
+         WRITE(numout,*) '      Diagnose heat/salt budget or not          ln_limdiahsb  = ', ln_limdiahsb
+         WRITE(numout,*) '      Output   heat/salt budget or not          ln_limdiaout  = ', ln_limdiaout
+         WRITE(numout,*) '      control prints in ocean.out for (i,j)=(iiceprt,jiceprt) = ', ln_icectl
+         WRITE(numout,*) '      i-index for control prints (ln_icectl=true)             = ', iiceprt
+         WRITE(numout,*) '      j-index for control prints (ln_icectl=true)             = ', jiceprt
       ENDIF
       !
       ! sea-ice timestep and inverse
-      rdt_ice   = nn_fsbc * rdt  
-      r1_rdtice = 1._wp / rdt_ice 
+      rdt_ice   = nn_fsbc * rdt
+      r1_rdtice = 1._wp / rdt_ice
 
       ! inverse of nlay_i and nlay_s
@@ -384,5 +378,5 @@
 #endif
       !
-   END SUBROUTINE ice_run
+   END SUBROUTINE lim_run_init
 
 
@@ -414,16 +408,14 @@
       IF(lwp) THEN                        ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_itd : ice cat distribution'
-         WRITE(numout,*) ' ~~~~~~'
-         WRITE(numout,*) '   shape of ice categories distribution                     nn_catbnd = ', nn_catbnd
-         WRITE(numout,*) '   mean ice thickness in the domain (used if nn_catbnd=2)   rn_himean = ', rn_himean
+         WRITE(numout,*) 'lim_itd_init : Initialization of ice cat distribution '
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namiceitd'
+         WRITE(numout,*) '      shape of ice categories distribution                     nn_catbnd = ', nn_catbnd
+         WRITE(numout,*) '      mean ice thickness in the domain (used if nn_catbnd=2)   rn_himean = ', rn_himean
       ENDIF
       !
       !----------------------------------
-      !- Thickness categories boundaries 
+      !- Thickness categories boundaries
       !----------------------------------
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'lim_itd_init : Initialization of ice cat distribution '
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
       !
       hi_max(:) = 0._wp
@@ -443,5 +435,5 @@
          zalpha = 0.05_wp
          zhmax  = 3._wp * rn_himean
-         DO jl = 1, jpl 
+         DO jl = 1, jpl
             znum = jpl * ( zhmax+1 )**zalpha
             zden = REAL( jpl-jl , wp ) * ( zhmax + 1._wp )**zalpha + REAL( jl , wp )
@@ -457,25 +449,26 @@
       hi_max(jpl) = 99._wp          ! set to a big value to ensure that all ice is thinner than hi_max(jpl)
       !
-      IF(lwp) WRITE(numout,*) ' Thickness category boundaries '
-      IF(lwp) WRITE(numout,*) ' hi_max ', hi_max(0:jpl)
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '      Thickness category boundaries '
+      IF(lwp) WRITE(numout,*) '         hi_max ', hi_max(0:jpl)
       !
    END SUBROUTINE lim_itd_init
 
-   
+
    SUBROUTINE ice_lim_flx( ptn_ice , palb_ice, pqns_ice ,    &
       &                    pqsr_ice, pdqn_ice, pevap_ice, pdevap_ice, k_limflx )
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE ice_lim_flx  ***
-      !!                   
+      !!
       !! ** Purpose :   update the ice surface boundary condition by averaging and / or
-      !!                redistributing fluxes on ice categories                   
-      !!
-      !! ** Method  :   average then redistribute 
-      !!
-      !! ** Action  :   
+      !!                redistributing fluxes on ice categories
+      !!
+      !! ** Method  :   average then redistribute
+      !!
+      !! ** Action  :
       !!---------------------------------------------------------------------
-      INTEGER                   , INTENT(in   ) ::   k_limflx   ! =-1 do nothing; =0 average ; 
-      !                                                         ! =1 average and redistribute ; =2 redistribute
-      REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   ptn_ice    ! ice surface temperature 
+      INTEGER                   , INTENT(in   ) ::   k_limflx   ! =-1 do nothing; =0 average ;
+      !                                                         ! = 1 average and redistribute ; =2 redistribute
+      REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   ptn_ice    ! ice surface temperature
       REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   palb_ice   ! ice albedo
       REAL(wp), DIMENSION(:,:,:), INTENT(inout) ::   pqns_ice   ! non solar flux
@@ -526,10 +519,10 @@
          CALL wrk_alloc( jpi,jpj, zalb_m, ztem_m )
          !
-         zalb_m(:,:) = fice_ice_ave ( palb_ice (:,:,:) ) 
-         ztem_m(:,:) = fice_ice_ave ( ptn_ice  (:,:,:) ) 
+         zalb_m(:,:) = fice_ice_ave ( palb_ice (:,:,:) )
+         ztem_m(:,:) = fice_ice_ave ( ptn_ice  (:,:,:) )
          DO jl = 1, jpl
             pqns_ice (:,:,jl) = pqns_ice (:,:,jl) + pdqn_ice  (:,:,jl) * ( ptn_ice(:,:,jl) - ztem_m(:,:) )
             pevap_ice(:,:,jl) = pevap_ice(:,:,jl) + pdevap_ice(:,:,jl) * ( ptn_ice(:,:,jl) - ztem_m(:,:) )
-            pqsr_ice (:,:,jl) = pqsr_ice (:,:,jl) * ( 1._wp - palb_ice(:,:,jl) ) / ( 1._wp - zalb_m(:,:) ) 
+            pqsr_ice (:,:,jl) = pqsr_ice (:,:,jl) * ( 1._wp - palb_ice(:,:,jl) ) / ( 1._wp - zalb_m(:,:) )
          END DO
          !
@@ -546,10 +539,10 @@
       !!                  ***  ROUTINE sbc_lim_bef  ***
       !!
-      !! ** purpose :  store ice variables at "before" time step 
+      !! ** purpose :  store ice variables at "before" time step
       !!----------------------------------------------------------------------
       a_i_b  (:,:,:)   = a_i  (:,:,:)     ! ice area
       e_i_b  (:,:,:,:) = e_i  (:,:,:,:)   ! ice thermal energy
       v_i_b  (:,:,:)   = v_i  (:,:,:)     ! ice volume
-      v_s_b  (:,:,:)   = v_s  (:,:,:)     ! snow volume 
+      v_s_b  (:,:,:)   = v_s  (:,:,:)     ! snow volume
       e_s_b  (:,:,:,:) = e_s  (:,:,:,:)   ! snow thermal energy
       smv_i_b(:,:,:)   = smv_i(:,:,:)     ! salt content
@@ -557,5 +550,5 @@
       u_ice_b(:,:)     = u_ice(:,:)
       v_ice_b(:,:)     = v_ice(:,:)
-      !      
+      !
    END SUBROUTINE sbc_lim_bef
 
@@ -569,5 +562,5 @@
       !!----------------------------------------------------------------------
       sfx    (:,:) = 0._wp   ;
-      sfx_bri(:,:) = 0._wp   ; 
+      sfx_bri(:,:) = 0._wp   ;
       sfx_sni(:,:) = 0._wp   ;   sfx_opw(:,:) = 0._wp
       sfx_bog(:,:) = 0._wp   ;   sfx_dyn(:,:) = 0._wp
@@ -580,12 +573,12 @@
       wfx_bom(:,:) = 0._wp   ;   wfx_sum(:,:) = 0._wp
       wfx_res(:,:) = 0._wp   ;   wfx_sub(:,:) = 0._wp
-      wfx_spr(:,:) = 0._wp   ;   
-      !
-      hfx_thd(:,:) = 0._wp   ;   
+      wfx_spr(:,:) = 0._wp   ;
+      !
+      hfx_thd(:,:) = 0._wp   ;
       hfx_snw(:,:) = 0._wp   ;   hfx_opw(:,:) = 0._wp
       hfx_bog(:,:) = 0._wp   ;   hfx_dyn(:,:) = 0._wp
       hfx_bom(:,:) = 0._wp   ;   hfx_sum(:,:) = 0._wp
       hfx_res(:,:) = 0._wp   ;   hfx_sub(:,:) = 0._wp
-      hfx_spr(:,:) = 0._wp   ;   hfx_dif(:,:) = 0._wp 
+      hfx_spr(:,:) = 0._wp   ;   hfx_dif(:,:) = 0._wp
       hfx_err(:,:) = 0._wp   ;   hfx_err_rem(:,:) = 0._wp
       hfx_err_dif(:,:) = 0._wp
@@ -595,10 +588,10 @@
       afx_dyn(:,:) = 0._wp   ;   afx_thd(:,:) = 0._wp
       !
-      diag_heat(:,:) = 0._wp ;   diag_smvi(:,:) = 0._wp ;
-      diag_vice(:,:) = 0._wp ;   diag_vsnw(:,:) = 0._wp ;
+      diag_heat(:,:) = 0._wp ;   diag_smvi(:,:) = 0._wp
+      diag_vice(:,:) = 0._wp ;   diag_vsnw(:,:) = 0._wp
       !
    END SUBROUTINE sbc_lim_diag0
 
-     
+
    FUNCTION fice_cell_ave ( ptab )
       !!--------------------------------------------------------------------------
@@ -608,13 +601,13 @@
       REAL (wp), DIMENSION (jpi,jpj,jpl), INTENT (in) :: ptab
       INTEGER :: jl ! Dummy loop index
-      
-      fice_cell_ave (:,:) = 0.0_wp
+
+      fice_cell_ave (:,:) = 0._wp
       DO jl = 1, jpl
          fice_cell_ave (:,:) = fice_cell_ave (:,:) + a_i (:,:,jl) * ptab (:,:,jl)
       END DO
-      
+
    END FUNCTION fice_cell_ave
-   
-   
+
+
    FUNCTION fice_ice_ave ( ptab )
       !!--------------------------------------------------------------------------
Index: /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90
===================================================================
--- /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 7279)
+++ /branches/2016/dev_CNRS_2016/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 7280)
@@ -24,6 +24,5 @@
    USE sbc_oce          ! Surface boundary condition: ocean fields
    USE sbc_ice          ! Surface boundary condition: ice   fields
-   USE sbcblk_core      ! Surface boundary condition: CORE bulk
-   USE sbcblk_clio      ! Surface boundary condition: CLIO bulk
+   USE sbcblk           ! Surface boundary condition: bulk
    USE sbccpl           ! Surface boundary condition: coupled interface
    USE albedo
@@ -93,5 +92,5 @@
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt      ! ocean time step
-      INTEGER, INTENT(in) ::   ksbc    ! type of sbc ( =3 CLIO bulk ; =4 CORE bulk ; =5 coupled )
+      INTEGER, INTENT(in) ::   ksbc    ! type of sbc ( =4 bulk ; =5 coupled )
       !!
       INTEGER  ::   ji, jj   ! dummy loop indices
@@ -161,10 +160,8 @@
 
          SELECT CASE( ksbc )
-         CASE( jp_core , jp_purecpl )   ! CORE and COUPLED bulk formulations
+         CASE( jp_blk , jp_purecpl )   ! BULK and COUPLED bulk formulations
 
             ! albedo depends on cloud fraction because of non-linear spectral effects
             zalb_ice(:,:,:) = ( 1. - cldf_ice ) * zalb_cs(:,:,:) + cldf_ice * zalb_os(:,:,:)
-            ! In CLIO the cloud fraction is read in the climatology and the all-sky albedo 
-            ! (zalb_ice) is computed within the bulk routine
 
          END SELECT
@@ -184,19 +181,12 @@
          !
          SELECT CASE( ksbc )
-         CASE( jp_clio )           ! CLIO bulk formulation
-!           CALL blk_ice_clio( zsist, zalb_cs    , zalb_os    , zalb_ice   ,            &
-!              &                      utau_ice   , vtau_ice   , qns_ice    , qsr_ice,   &
-!              &                      qla_ice    , dqns_ice   , dqla_ice   ,            &
-!              &                      tprecip    , sprecip    ,                         &
-!              &                      fr1_i0     , fr2_i0     , cp_ice_msh , jpl  )
-            CALL blk_ice_clio_tau
-            CALL blk_ice_clio_flx( zsist, zalb_cs, zalb_os, zalb_ice )
-
-         CASE( jp_core )           ! CORE bulk formulation
-            CALL blk_ice_core_tau
-            CALL blk_ice_core_flx( zsist, zalb_ice )
-
+         !
+         CASE( jp_blk )           ! Bulk formulation
+            CALL blk_ice_tau
+            CALL blk_ice_flx( zsist, zalb_ice )
+            !
          CASE( jp_purecpl )            ! Coupled formulation : atmosphere-ice stress only (fluxes provided after ice dynamics)
             CALL sbc_cpl_ice_tau( utau_ice , vtau_ice )
+            !
          END SELECT
          
